Bug 14659 - Allow patrons to enter card number and patron category on OPAC registration page
Summary: Allow patrons to enter card number and patron category on OPAC registration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Keywords:
Depends on: 14658
Blocks: 13757 16560 17213
  Show dependency treegraph
 
Reported: 2015-08-06 19:05 UTC by Jesse Weaver
Modified: 2017-06-14 22:15 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page (10.15 KB, patch)
2015-09-02 22:58 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page (10.20 KB, patch)
2015-10-01 23:37 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page (10.28 KB, patch)
2016-02-25 21:38 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14659: (QA followup) switch to using Koha::Patron::Categories (3.33 KB, patch)
2016-02-25 21:40 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14659: (QA followup) show cardnumber for existing borrowers (1.27 KB, patch)
2016-02-29 23:08 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page (10.36 KB, patch)
2016-03-01 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14659: (QA followup) switch to using Koha::Patron::Categories (3.40 KB, patch)
2016-03-01 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14659: (QA followup) show cardnumber for existing borrowers (1.35 KB, patch)
2016-03-01 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2015-08-06 19:05:28 UTC
Both will be hidden by default, via PatronSelfModificationBorrowerUnwantedField (see bug 14658). Also, they will be read only for existing patrons (as cardnumber is currently).
Comment 1 Jesse Weaver 2015-09-02 22:58:55 UTC Comment hidden (obsolete)
Comment 2 Jesse Weaver 2015-10-01 23:37:29 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-10-03 23:26:07 UTC
Hm, we need 14658 first here. Please unblock when the patch for 14658 is in the QA queue again.
Comment 4 Jonathan Druart 2015-12-30 13:06:05 UTC
Comment on attachment 43042 [details] [review]
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page

Review of attachment 43042 [details] [review]:
-----------------------------------------------------------------

::: Koha/Template/Plugin/Categories.pm
@@ +26,5 @@
> +sub GetName {
> +    my ( $self, $categorycode ) = @_;
> +
> +    my $schema = Koha::Database->new->schema;
> +    return $schema->resultset( 'Category' )->search( {

Please use Koha::Patron::Categories->find instead.
Comment 5 Jesse Weaver 2016-02-25 21:38:58 UTC Comment hidden (obsolete)
Comment 6 Jesse Weaver 2016-02-25 21:40:32 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-02-29 12:29:25 UTC
The cardnumber is not displayed anymore on opac-memberentry on the personal details page.
Comment 8 Jesse Weaver 2016-02-29 23:08:20 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2016-03-01 13:26:37 UTC
Created attachment 48505 [details] [review]
Bug 14659: Allow patrons to enter card number and patron category on OPAC registration page

Test plan:
  1. Open OPAC self-registration page while logged out.
  2. Note that cardnumber and categorycode are not shown.
  3. Remove cardnumber and categorycode from
     PatronSelfRegistrationBorrowerUnwantedField.
  4. Enable autoMemberNum.
  5. Reload self-registration page, note that categorycode now shows.
  6. Disable autoMemberNum.
  7. Reload self-registration page, note that cardnumber now shows.
  8. Try saving a patron with an existing cardnumber; this should fail
     and explain why.
  9. Set CardnumberLength, and verify that those length restrictions are
     enforced.
 10. Verify that patron can be created with custom categorycode and
     cardnumber.

Signed-off-by: Michael Sauers <msauers@dospace.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2016-03-01 13:26:41 UTC
Created attachment 48506 [details] [review]
Bug 14659: (QA followup) switch to using Koha::Patron::Categories

Also, fix a nonsensically switched IF/ELSE.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2016-03-01 13:26:46 UTC
Created attachment 48507 [details] [review]
Bug 14659: (QA followup) show cardnumber for existing borrowers

This would be incorrectly hidden when autoMemberNum is on.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Brendan Gallagher 2016-03-02 04:38:43 UTC
Pushed to Master - Should be in the May 2016 Release.